Anonymous Login
2020-01-24 07:19 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001420OpenClonkEngine - GUIpublic2016-08-19 09:43
ReporterClonkonaut 
Assigned ToZapper 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Version 
Target VersionFixed in Version 
Summary0001420: Endless recursion when clicking goal HUD in Mine Rescue
DescriptionThe engine freezes when clicking the goal HUD symbol in Mine Rescue. Debugging showed me an endless recursion somewhere in C4ScriptGuiWindow::CreateFromPropList and/or C4ScriptGuiWindow::RequestLayoutUpdate()
Additional InformationThis is the GUI window that gets (not) created:

{BackgroundColor = {Std = 0}, Bottom = "50%+8em", Decoration = GUI_MenuDeco, Left = "50%-10em", OnClose = [2, Object(366), "OnGoalWindowClosed", nil], Player = 0, Right = "50%+10em", Target = Object(366), Top = "50%-4em", _child14257477 = {BackgroundColor = {Hover = 1358954240, Std = 0}, Bottom = "0%+2em", Left = "100%-2em", OnClick = [2, Object(366), "OnCloseButtonClick", nil], OnMouseIn = [1, "Hover", nil, nil], OnMouseOut = [1, "Std", nil, nil], Priority = 1048575, Right = "100%", Symbol = Icon_Cancel, Top = "0%+0em"}, goal0 = {BackgroundColor = {Hover = 1358954495, Std = 0}, Bottom = "0%+4em", GraphicsName = nil, ID = 2, Left = "0%+0em", OnMouseIn = [[1, "Hover", nil, nil], [2, Object(366), "OnGoalGUIHover", Object(378)]], OnMouseOut = [1, "Std", nil, nil], Right = "0%+4em", Symbol = Goal_ElevatorEnergy, Target = Object(366), Top = "0%", goal_object = Object(378)}, text = {BackgroundColor = {Std = 0}, Bottom = "100%", ID = 1, Left = "0%", Right = "100%", Target = Object(366), Text = "The elevator is not yet supplied with energy.", Top = "0%+4em"}}
TagsNo tags attached.
Attached Files

-Relationships
child of 0001430confirmed Disallow creating a script GUI window from an object instead of a proplist 
+Relationships

-Notes

~0003976

Zapper (developer)

Fixed by not using objects in the menu layout. Related issue is still an issue, though.
+Notes

-Issue History
Date Modified Username Field Change
2015-10-11 13:26 Clonkonaut New Issue
2015-10-16 00:32 Sven2 Target Version => 7.0
2015-10-19 08:39 Zapper Assigned To => Zapper
2015-10-19 08:39 Zapper Status new => assigned
2015-10-19 08:45 Zapper Relationship added child of 0001430
2015-10-19 17:08 Zapper Note Added: 0003976
2015-10-19 17:08 Zapper Status assigned => resolved
2015-10-19 17:08 Zapper Resolution open => fixed
2016-08-19 09:43 Newton Status resolved => closed
+Issue History